import React, { Component } from 'react';
import { View } from 'react-native';
import { connect } from 'react-redux';
import {createAction} from '../utils/index';

@connect(({ welcome }) => ({ welcome }))
class WelcomeScreen extends Component {

  componentDidMount() {
    const { dispatch } = this.props;
    dispatch(createAction('init'));
  }

  render() {
    return (
      <View>
        welcome
      </View>
    );
  }
}

export default WelcomeScreen;